GCLOUD_DATAFLOW_JOBS_RUN(1)

NAME

gcloud dataflow jobs run - runs a job from the specified path

SYNOPSIS

gcloud dataflow jobs run JOB_NAME --gcs-location=GCS_LOCATION [--max-workers=MAX_WORKERS] [--parameters=[PARAMETERS,...]] [--service-account-email=SERVICE_ACCOUNT_EMAIL] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Runs a job from the specified path.

POSITIONAL ARGUMENTS

    JOB_NAME
        The unique name to assign to the job.

REQUIRED FLAGS

    --gcs-location=GCS_LOCATION
        The location of the job template to run.

OPTIONAL FLAGS

    --max-workers=MAX_WORKERS
        The maximum number of workers to run.

    --parameters=[PARAMETERS,...]
        The parameters to pass to the job.

    --service-account-email=SERVICE_ACCOUNT_EMAIL
        The service account to run the workers as.

    --zone=ZONE
        The zone to run the workers in.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.